Information on source package python3.5

Available versions

ReleaseVersion
stretch (security)3.5.3-1+deb9u1

Open issues

BugstretchDescription
CVE-2019-9740vulnerableAn issue was discovered in urllib2 in Python 2.x through 2.7.16 and ur ...
CVE-2019-9636vulnerablePython 2.7.x through 2.7.16 and 3.x through 3.7.2 is affected by: Impr ...
CVE-2019-5010vulnerable (no DSA, postponed)NULL pointer dereference using a specially crafted X509 certificate
CVE-2018-20406vulnerable (no DSA)Modules/_pickle.c in Python before 3.7.1 has an integer overflow via a ...

Open unimportant issues

BugstretchDescription
CVE-2017-17522vulnerable** DISPUTED ** Lib/webbrowser.py in Python through 3.6.3 does not vali ...

Resolved issues

BugDescription
CVE-2018-14647Python's elementtree C accelerator failed to initialise Expat's hash s ...
CVE-2018-1061python before versions 2.7.15, 3.4.9, 3.5.6rc1, 3.6.5rc1 and 3.7.0 is ...
CVE-2018-1060python before versions 2.7.15, 3.4.9, 3.5.6rc1, 3.6.5rc1 and 3.7.0 is ...
CVE-2018-1000802Python Software Foundation Python (CPython) version 2.7 contains a CWE ...
CVE-2018-1000117Python Software Foundation CPython version From 3.2 until 3.6.4 on Win ...
CVE-2018-1000030Python 2.7.14 is vulnerable to a Heap-Buffer-Overflow as well as a Hea ...
CVE-2017-1000158CPython (aka Python) up to 2.7.13 is vulnerable to an integer overflow ...
CVE-2016-5699CRLF injection vulnerability in the HTTPConnection.putheader function ...
CVE-2016-5636Integer overflow in the get_data function in zipimport.c in CPython (a ...
CVE-2016-1000110
CVE-2016-0772The smtplib library in CPython (aka Python) before 2.7.12, 3.x before ...

Security announcements

DSA / DLADescription
DSA-4307-1python3.5 - security update

Search for package or bug name: Reporting problems